ACPI Error with nouveau #170

Closed
ArchangeGabriel opened this Issue Jun 2, 2012 · 8 comments

2 participants

@ArchangeGabriel
Bumblebee-Project member

Hi, when using kernel 3.4 I'm facing this error with nouveau :

[drm] nouveau 0000:01:00.0: Checking ACPI for VBIOS
ACPI Error: Field [ROMI] Base+Offset+Width 0+24+1 is beyond end of region [VROM] (length 24) (20120320/exfldio-210)
ACPI Error: Method parse/execution failed [\_SB_.PCI0.RP00.VGA_._ROM] (Node ffff880131dee050), AE_AML_REGION_LIMIT (20120320/psparse-536)
failed to evaluate ROM got AE_AML_REGION_LIMIT

And after that nouveau can't load. Is there something to do ?

@Lekensteyn
Bumblebee-Project member

Can you link to your acpidump on the LP bugreporter?

@ArchangeGabriel
Bumblebee-Project member
@Lekensteyn
Bumblebee-Project member

You're affected by https://bugzilla.kernel.org/show_bug.cgi?id=43063. What kernel still works for you? (e.g. 3.3.7?) Try booting some rc kernels in the range 3.4-rc0 to 3.4-rc7 (start with rc3, if it fails try rc1, if it succeeds, try rc5, etc). In order to speed up compilation time, use a minimal config. For example, I have disabled lots of modules and can compile a kernel in 6 minutes using 3 i5 machines with distcc.

@ArchangeGabriel
Bumblebee-Project member

I'm having three kernel on my laptop currently : 3.2, 3.4rc7, 3.4.

It works under 3.2, it has never worked under 3.4 (I also used 3.4rc6 and rc5 before).

I'm going to try some other RC and tell you the results.

@Lekensteyn
Bumblebee-Project member

In that case, start with 3.3. If that fails, try an older version, if it succeeds, try a newer version.

@ArchangeGabriel
Bumblebee-Project member

I'm having an issue, can't run any command in a term or tty (it just waits) with all kernel tried (from 3.3.7 to 3.4rc6), will try again today after changing some things.

By the way I would probably not be able to try 3.4rc1 and rc4 because of kernel panics on boot, one because of wifi probably, the other seems to be intel video driver.

@Lekensteyn
Bumblebee-Project member

Since you want to test nouveau, try to disable as much modules as possible. If you have a reliable ethernet driver (I have jme), use that if possible and drop wireless as that's more complex.

@ArchangeGabriel
Bumblebee-Project member

Fixed in kernel 3.5

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment